Bug 437586 - gnome does not use ~/.cups/lpoptions so setting a default printer doesn't work.
gnome does not use ~/.cups/lpoptions so setting a default printer doesn't work.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-print (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-14 20:09 EDT by Steve Bergman
Modified: 2013-03-13 00:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:11:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Bergman 2008-03-14 20:09:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en; rv:1.8.1.12) Gecko/20080208 Epiphany/2.20 Firefox/2.0.0.12

Description of problem:
The my-default-printer application of system-config-printer sets ~/.cups/lpoptions and deletes any ~/.lpoptions file which might exist.  However, gnome printing looks for ~/.lpoptions and fails to look for ~/.cups/lpoptions

One or the other is wrong.  At any rate, System->Preferences->Hardware->Default Printer has the effect of destroying any default printer which may previously have been set, and not setting a new one.

I have seen this on  both machines I have tested.  And one of those, I just freshly installed and ran "yum update" last night.


Version-Release number of selected component (if applicable):
libgnomeprint22-2.18.2-1.fc8

How reproducible:
Always


Steps to Reproduce:
1. Go to system->preferences->Hardware->default printer
2. Set a default printer
3. Observe that there is no ~/.lpoptions but that there is a ~/.cups/lpoptions
4. Run an app like gedit.  ctrl-p.  You don't get the default printer.
5. Run the app under strace and observe that it looks for .lpoptions but not cups/lpoptions.


Actual Results:


Expected Results:


Additional info:
Comment 1 Pieter Vogel 2008-10-31 11:47:24 EDT
extra problem: gnome-default-printer deletes the ~/.lpoptions file. 
So setting a default printer with gnome-default-printer also brakes all programs with uses the ~/.lpoptions file (gedit openoffice)

Steps to reproduce:
1. make a link "ln -s ~/.cups/lpoptions ~/.lpoptions" now your default printer works
2. set another printer as default with gnome-default-printer
3. your link is gone. default printers does not work anymore in openoffice and gedit.
Comment 2 Bug Zapper 2008-11-26 05:09:26 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 01:11:21 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.